%define name kdesupport
%define kdeversion 1.1.2
%define kdeprefix /usr
%define omit --without-libgif --without-libjpeg --without-libgdbm
%define extrareq libungif libjpeg >= 6b gdbm rpm >= 2.5

Name: %{name}
Summary: K Desktop Environment - Support Libraries
Version: %{kdeversion}
Release: 6
Serial: 2000070201
Source0: ftp://ftp.kde.org/pub/kde/stable/%{kdeversion}/distribution/tar/generic/source/bz2/%{name}-%{kdeversion}.tar.bz2
Group: X11/KDE/Base
Copyright: GPL/LGPL
BuildRoot: /var/tmp/%{name}-%{version}-root
Requires: qt >= 1.44 %{extrareq}
BuildRequires: qt >= 1.44
URL: http://www.kde.gr.jp/
Prefix: %{kdeprefix}
#NoSource: 0

%description
Support Libraries for the K Desktop Environment.

Included with this package are:

mimelib: libraries for working eith messages in the MIME format 

%prep

%setup -n kdesupport-%{kdeversion}

%build
export KDEDIR=%{prefix}
./configure --prefix=$KDEDIR --with-install-root=$RPM_BUILD_ROOT --disable-path-check %{omit} 
make CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

export KDEDIR=%{prefix}
make prefix=$RPM_BUILD_ROOT$KDEDIR install-strip
chmod a+x $RPM_BUILD_ROOT%{kdeprefix}/lib/*

# Generieren der Fileliste
cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list.%{name}
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{name}
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT
rm -f ../file.list.%{name}

%post
if [ -f /etc/ld.so.conf ]; then
    grep -q '%{kdeprefix}/lib' /etc/ld.so.conf || \
    echo "%{kdeprefix}/lib" >> /etc/ld.so.conf
else
    echo "%{kdeprefix}/lib" >> /etc/ld.so.conf
fi
/sbin/ldconfig

%postun
if [ $1 = 0 ]; then
    if ! [ -d %{kdeprefix}/lib ] ; then
	mv /etc/ld.so.conf /etc/ld.so.conf.orig
	grep -v '^%{kdeprefix}/lib$' /etc/ld.so.conf.orig > /etc/ld.so.conf
	rm -f /etc/ld.so.conf.orig
	/sbin/ldconfig
    fi
fi
/sbin/ldconfig

%files -f ../file.list.%{name}

%changelog
* Sun Jul  2 2000 Toshihiro Yamagishi<toshihiro@turbolinux.co.jp>
- fixed comps for centro

* Wed Feb  6 2000 Go Taniguchi <go@turbolinux.co.jp>
- new qt support

* Wed Jan 19 2000 Go Taniguchi <go@turbolinux.co.jp>
- fix specfile

* Tue Nov 23 1999 Go Taniguchi <taniguchi@arcbrain.cp.jp>
- rebuild for TurboLinuxJ

* Wed Sep 15 1999 Takumi ASAKI <asaki@kde.gr.jp>

- KDE-1.1.2 released
- change prefix to /usr/kde

